\documentclass{standalone}
\usepackage{tikz}
\begin{document}
\begin{tikzpicture}

  %\def \value{8}
  
  % nth-root (<=45)
  \def \n{4}
  \def \mod{2}
  \pgfmathsetmacro{\value}{pow(\mod,\n)}

  % mod = sqrt[n]{x}
  %\pgfmathsetmacro{\mod}{pow(\value,1/\n)}

  \def \xmax{\mod*1.05}
  \def \ymax{\mod*1.05}

  % grid
  \draw[very thin,color=gray!60] (-\xmax,-\ymax) grid (\xmax,\ymax);

  % axis
  \draw[->] (-\xmax-0.2,0) -- (\xmax+0.2,0) node[right] {$\Re$};
  \draw[->] (0,-\ymax-0.2) -- (0,\ymax+0.2) node[above] {$\Im$};

  % circle
  \draw[dashed,gray!60] (0,0) circle [radius=\mod cm];

  % roots as a small circle
  \foreach \k in {0,...,\n}
           {
             \filldraw (0,0) (\k*360/\n:\mod) circle [radius=2pt];
           }
           
\end{tikzpicture}
\end{document}
